VkBufferViewCreateInfo Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkBufferViewCreateFlags | flags
VkBuffer | buffer
VkFormat | format
VkDeviceSize | offset
VkDeviceSize | range

## Detailed Description

Definition at line 2206 of file vulkan_core.h.

## Field Documentation

## buffer

VkBuffer VkBufferViewCreateInfo::buffer

Definition at line 2210 of file vulkan_core.h.

## flags

VkBufferViewCreateFlags VkBufferViewCreateInfo::flags

Definition at line 2209 of file vulkan_core.h.

## format

VkFormat VkBufferViewCreateInfo::format

Definition at line 2211 of file vulkan_core.h.

## offset

VkDeviceSize VkBufferViewCreateInfo::offset

Definition at line 2212 of file vulkan_core.h.

## pNext

const void* VkBufferViewCreateInfo::pNext

Definition at line 2208 of file vulkan_core.h.

## range

VkDeviceSize VkBufferViewCreateInfo::range

Definition at line 2213 of file vulkan_core.h.

## sType

VkStructureType VkBufferViewCreateInfo::sType

Definition at line 2207 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h